> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Dashboard: snapshot of every monitor's current state for an SRE wallboard

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | AUDIT | READ | AUDIT:READ |



## OpenAPI

````yaml /openapi/swarmd.json get /audit/v1/dashboard/monitor-health-grid
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: mcp-consent-controller
    x-displayName: mcp-consent-controller
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: audit-rest-controller
    x-displayName: audit-rest-controller
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /audit/v1/dashboard/monitor-health-grid:
    get:
      tags:
        - Audit Dashboard
      summary: >-
        Dashboard: snapshot of every monitor's current state for an SRE
        wallboard
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | AUDIT | READ | AUDIT:READ |
      operationId: getDashboardMonitorHealthGrid
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Audit_MonitorHealthGridResponse'
      security:
        - Audit_bearerAuth: []
components:
  schemas:
    Audit_MonitorHealthGridResponse:
      type: object
      properties:
        rows:
          type: array
          items:
            $ref: '#/components/schemas/Audit_MonitorHealthRow'
        truncated:
          type: boolean
    Audit_MonitorHealthRow:
      type: object
      properties:
        monitorId:
          type: string
          format: uuid
        name:
          type: string
        templateId:
          type: string
          enum:
            - POLICY_INVOCATION_ANOMALY
            - POLICY_BLOCK_ANOMALY
            - POLICY_WARN_ANOMALY
            - POLICY_HITL_HOLD_ANOMALY
            - AGENT_VOLUME_ANOMALY
            - USER_VOLUME_ANOMALY
            - MCP_SERVER_VOLUME_ANOMALY
            - LLM_GATEWAY_VOLUME_ANOMALY
            - CHANNEL_VOLUME_ANOMALY
            - TENANT_ERROR_SPIKE
            - TENANT_WARN_SPIKE
            - TENANT_HITL_SPIKE
            - LLM_PROVIDER_ERROR_RATE_SPIKE
            - LLM_GATEWAY_FAILOVER_SPIKE
            - MCP_SERVER_ERROR_RATE_SPIKE
            - DORMANT_AGENT_REACTIVATION
            - DORMANT_USER_REACTIVATION
            - NOVEL_TOOL_CALL
            - NEW_MCP_SERVER_BINDING
        state:
          type: string
          enum:
            - OK
            - ALERT
            - WARN
            - NO_DATA
            - MUTED
        severity:
          type: string
          enum:
            - LOW
            - MEDIUM
            - HIGH
            - CRITICAL
        priority:
          type: string
          enum:
            - P1
            - P2
            - P3
            - P4
            - P5
        enabled:
          type: boolean
        lastAlertAt:
          type: string
          format: date-time
        alertCount24h:
          type: integer
          format: int64
        ownerLabel:
          type: string
  securitySchemes:
    Audit_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````